package com.zkqy.system.entity;

import com.zkqy.common.annotation.Excel;
import com.zkqy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.io.Serializable;

/**
 * @author hmc
 * @date 2023-11-01 14:19
 * @Description: 拖拽格组对象 drag_table_group
 */
public class DragTableGroup extends BaseEntity  implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 表格组名称 */
    @Excel(name = "表格组名称")
    private String groupName;


    /** 表格组key名称 */
    @Excel(name = "表格组key")
    private String groupKey;


    /** 表格组类型 */
    @Excel(name = "表格组key")
    private String groupType;


    /**模板类型*/
    @Excel(name = "表格组key")
    private String templateType;

    /** 表格组描述 */
    @Excel(name = "表格组描述")
    private String groupDescription;

    /** 存放表格联动信息 {tablekey:dfasdfa,顺序:1} */
    @Excel(name = "存放表格联动信息")
    private String groupTableInfo;



    /**
     * 逻辑删除
     */
    private String delFlag;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupDescription() {
        return groupDescription;
    }

    public void setGroupDescription(String groupDescription) {
        this.groupDescription = groupDescription;
    }

    public String getGroupTableInfo() {
        return groupTableInfo;
    }

    public void setGroupTableInfo(String groupTableInfo) {
        this.groupTableInfo = groupTableInfo;
    }

    public String getGroupKey() {
        return groupKey;
    }

    public void setGroupKey(String groupKey) {
        this.groupKey = groupKey;
    }


    public String getGroupType() {
        return groupType;
    }

    public void setGroupType(String groupType) {
        this.groupType = groupType;
    }


    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("groupName", getGroupName())
                .append("groupDescription", getGroupDescription())
                .append("groupTableInfo", getGroupTableInfo())
                .append("createById", getCreateById())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateById", getUpdateById())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
